// discount
$(document).ready(function(){
    var app = window.app;

    var $appCont = $('#app-discount-container');

    var $messages = $appCont.find('#app-discount-msg');
    var $msgLoading = $messages.find('.js-msg-process');

    var $offersCont = $appCont.find('.offers_container');

    var $work = $('#app-discount-work');
    var $parts = $('#app-discount-parts');
    var refreshDiscount = function(){
        $work.html('');
        $parts.html('');
        $offersCont.append($msgLoading.clone());
        app.api.send({
            to: 'discount/all',
            success: function(data) {
                $offersCont.find('.js-msg').remove();
                if (data.success) {
                    $work.html(data.discount_work + '%');
                    $parts.html(data.discount_article + '%');
                } else {
                    $work.html('н/д');
                    $parts.html('н/д');
                }
            },
            error: function(xhr) {
                $offersCont.find('.js-msg').remove();
                $work.html('н/д');
                $parts.html('н/д');
            }
        });
    };
    $.router(/^\/discount/, app.login.decorator(function () {
        app.inner.activate('discount', {
            heading: 'Ваши скидки',
            refresh: refreshDiscount
        });
        if (!$work.html()) {
            refreshDiscount();
        }
    }));
});

